% out: lam (nvarsxnf), lamstar(nvarsxnf), phi(nfxnf*philag), psi(nvarsxpsilag), 
% sigeps (nvarsx1), beta (nvarsxnf), rho (nfx1) tau (nfx1)

%phi
Ini.phi=zeros(Ind.nf,Ind.nf*Ind.philag);
Ini.phistar=zeros(Ind.nf,Ind.nf*Ind.philag);
if Ind.philag
    if ~Ind.f_ind
    %Ini.phistar=reshape(Priors.p0+chol(inv(Priors.P0inf))'*randn(Ind.nf^2*Ind.philag,1),Ind.nf*Ind.philag,Ind.nf)';
    %Ini.phistar([1:Ind.nf]+[0:Ind.nf-1]*Ind.nf)=abs(Ini.phistar([1:Ind.nf]+[0:Ind.nf-1]*Ind.nf));
    Ini.phistar=Ini.phistar.*0;
    while any(abs(eig([Ini.phistar;eye(Ind.nf*(Ind.philag-1),Ind.nf*Ind.philag)]))>1)
        Ini.phistar=reshape(Priors.p0+chol(inv(Priors.P0inf))'*randn(Ind.nf^2*Ind.philag,1),Ind.nf*Ind.philag,Ind.nf)';
        Ini.phistar([1:Ind.nf]+[0:Ind.nf-1]*Ind.nf)=abs(Ini.phistar([1:Ind.nf]+[0:Ind.nf-1]*Ind.nf));
    end
    elseif Ind.f_ind
        for j=1:Ind.nf
        Ini.phistar(j,(0:(Ind.philag-1))*Ind.nf+j)=(Priors.p0(j,:)'+chol(inv(Priors.P0inf(:,:,j)))'*randn(Ind.philag,1))';
        end
        while any(abs(eig([Ini.phistar;eye(Ind.nf*(Ind.philag-1),Ind.nf*Ind.philag)]))>1)
            for j=1:Ind.nf
                Ini.phistar(j,(0:(Ind.philag-1))*Ind.nf+j)=(p0(j,:)'+chol(inv(Priors.P0inf(:,:,j)))'*randn(Ind.philag,1))';
            end
        end
    end
        
end


%psi
Ini.psi=zeros(Ind.nvars,Ind.psilag);
% for j=1:Ind.nvars
%  psi(j,:)= q0(j,:)+randn(1,Ind.psilag)*chol(inv(Q0inf(:,:,j)));
% end

%sig...
Ini.sigeta=eye(Ind.nf);
Ini.sigetast=eye(Ind.nf);

Ini.sigeps=1./gamrnd(Priors.sigeps0(:,1),1./Priors.sigeps0(:,2));

%tau0,beta0,rho0
Ini.tau=Priors.tau0(:,2)./(Priors.tau0(:,1)-1);
Ini.rho=[];
if Ind.prior==2
    Ini.beta=zeros(Ind.N,Ind.nf);
else
    Ini.beta=[];
end

if ~Ind.prior
    Ini.lamspar=randn(Ind.N,Ind.nf).*kron(sqrt(Ini.tau),ones(1,Ind.N))';
elseif Ind.prior
    Ini.rho=Priors.rho0(:,2);%zeros(nf,1);
    Ini.lamspar=zeros(Ind.N,Ind.nf);
    for j=1:Ind.nf
        %rho(j)=mean(betarnd(ones(1000,1).*prod(rho0(j,:),2),ones(1000,1).*rho0(j,1).*(1-rho0(j,2))));
        pp=Ini.rho(j);
        if Ind.prior==2;
            pp=pp*Priors.beta0(j,2);
        end
        podd=log(pp/(1-pp));
        podd=exp(podd)./(exp(podd)+1);

        lan0=(rand(Ind.N,1)<=podd);
        while all(~lan0)
            lan0=(rand(Ind.N,1)<=podd);
        end
        Ini.lamspar(lan0,j)=sqrt(Ini.tau(j)).*abs(randn(sum(lan0),1));
    end
end

s_ind=checkpositivity(Ini.lamspar);
for j=s_ind
    Ini.lamspar(:,j)=-Ini.lamspar(:,j);
end

if Ind.norm
    [ve,va]=eig(Ini.lamspar'*Ini.lamspar);
    Ini.H=ve(:,end:-1:1)';
    Ini.HI=ve(:,end:-1:1);
    Ini.lam=Ini.lamspar*Ini.HI;
else
    Ini.lam=Ini.lamspar;
    Ini.H=eye(nf);
    Ini.HI=eye(nf);
end


for j=1:Ind.philag;
    Ini.phi(:,(j-1)*nf+1:j*nf)= Ini.H*Ini.phistar(:,(j-1)*nf+1:j*nf)*Ini.HI;
end



Ini.ft=zeros(Ind.nobs,Ind.nf);
Ini.ftstar=zeros(Ind.nobs,Ind.nf);

