
% out: tau0 (nfx2), beta0=(a0,b0) rho0=(r0,s0) (both nfx2), p0 (nf^2*philagx1), P0inf ((nf^2*philag)x(nf^2*philag)),
% q0 (nvarsxpsilag) Q0inf(psilagxpsilagxnvars),
% sigetanu0= e0, sigetaS0=E0 (nfxnf)
% sigeps0=(u0,U0) (nvarsx2)
%prior specification p0,P0inf q0,Q0inf
Priors.minn_var=.16;%;%1;%0.16; %prior variance for the first autoregressive lag
Priors.minn_cov=0.0278;%1;%0.0278;  %shrink factor for prior variance on lags of other variables (Minnesota type prior)


%minnesota prior for autoregressive lags, transpose for subsequent indexing
if ~Ind.f_ind
    prminn=minnesota(zeros(1,Ind.nf),zeros(1,Ind.nf),Ind.philag,Priors.minn_var,Priors.minn_cov)';
    Priors.P0inf=diag(prminn(:));
    Priors.p0=eye(Ind.nf,Ind.nf*Ind.philag)';Priors.p0=Priors.p0(:);%zeros(Ind.nf^2*Ind.philag,1);
elseif Ind.f_ind
    prminn=minnesota(zeros(1,1),zeros(1,1),Ind.philag,Priors.minn_var,Priors.minn_cov)';
    Priors.P0inf=diag(prminn(:));
    Priors.P0inf=P0inf(:,:,ones(1,Ind.nf));
    Priors.p0=eye(Ind.nf,Ind.philag);%zeros(Ind.nf,Ind.philag);
end

%
prminn=minnesota(zeros(1,1),zeros(1,1),Ind.psilag,Priors.minn_var,Priors.minn_cov)';
Priors.Q0inf=diag(prminn(:));
Priors.Q0inf=Priors.Q0inf(:,:,ones(1,Ind.nvars));
Priors.q0=zeros(Ind.nvars,Ind.psilag);

Priors.sigeps0=kron(ones(Ind.nvars,1),[2,0.25]);

%tau0,beta0,rho0
Priors.tau0=kron(ones(Ind.nf,1),[2,0.125]);
Priors.rho0=[];
Priors.beta0=[];
if Ind.prior==2;
    Priors.rho0=kron(ones(Ind.nf,1),[50,0.5]); %rho0_1=precision, rho0_2=mean
    Priors.beta0=kron(ones(Ind.nf,1),[0.1,0.8]); %beta0_1=precision, beta0_2=mean, variance= beta0_2(1-beta0_2)/(1+beta0_1)
    er0=round(Ind.N*prod(1-Priors.rho0(:,2).*Priors.beta0(:,2),1)); %expected number of zero loadings row
elseif Ind.prior==1;
    Priors.rho0=kron(ones(Ind.nf,1),[60,0.4]); %rho0_1=precision, rho0_2=mean
    er0=round(Ind.N*prod(1-Priors.rho0(:,2)));
end

