function [lamspar,tau]=simparlamnormal(y,ftstar_all,lamspar_old,psi,sigeps,sigeta_old,tau_old,psilag,tau0,utz);

%y=psi_i(L)x_it

N=size(y,2);
nf=size(ftstar_all,2);

lamspar=zeros(N,nf);
lam=zeros(N,nf);
tau=zeros(nf,1);
taup=tau0;
tau_old=diag(tau_old);

ftstar=ftstar_all(psilag+1:end,:,ones(1,N));

if any(psilag);
    for j=1:nf;
    ftstar(:,j,:)=lagtrans_ind(squeeze(ftstar_all(:,j,ones(1,N))),psilag,psi); 
    end
end

T=min(size(ftstar,1),size(y,1));
y=y(end-T+1:end,:);
ftstar=ftstar(end-T+1:end,:,:);

%sample lamspar_ij across i

for j=1:N;    
    xstar=y(:,j);
    la_sim=1:(~utz*nf+utz*min(j,nf));
    
    Mi= inv(ftstar(:,la_sim,j)'*ftstar(:,la_sim,j)./sigeps(j)+ inv(tau_old(la_sim,la_sim)));
    mi= Mi*(ftstar(:,la_sim,j)'*xstar./sigeps(j));
    
    lamspar(j,la_sim)=mi'+randn(1,length(la_sim))*chol(Mi);
    %lamspar_old(j,:)=lamspar(j,:);
    
end

    taup=taup + [~utz*kron(ones(nf,1),0.5*N)+utz*0.5*[N:-1:N-(nf-1)]' 0.5*sum(lamspar.^2,1)'];
    tau=1./gamrnd(taup(:,1),1./taup(:,2));

    
