% out: lam (nvarsxnf), lamstar(?), phi(nfxnf*philag), psi(nvarsxpsilag), sigeta (nfxnf)
% sigeps (nvarsx1), beta (nvarsxnf), rho (nfx1)
% tau (nfx1)

%phi
ini.phi=zeros(nf,nf*philag);
ini.phistar=zeros(nf,nf*philag);
if philag
    if ~f_ind
    ini.phistar=reshape(Priors.p0+chol(inv(Priors.P0inf))'*randn(nf^2*philag,1),nf*philag,nf)';
    ini.phistar([1:nf]+[0:nf-1]*nf)=abs(ini.phistar([1:nf]+[0:nf-1]*nf));
    ini.phistar=ini.phistar.*0;
    while any(abs(eig([ini.phistar;eye(nf*(philag-1),nf*philag)]))>1)
        ini.phistar=reshape(Priors.p0+chol(inv(Priors.P0inf))'*randn(nf^2*philag,1),nf*philag,nf)';
        ini.phistar([1:nf]+[0:nf-1]*nf)=abs(ini.phistar([1:nf]+[0:nf-1]*nf));
    end
    elseif f_ind
        for j=1:nf
        ini.phistar(j,(0:(philag-1))*nf+j)=(Priors.p0(j,:)'+chol(inv(Priors.P0inf(:,:,j)))'*randn(philag,1))';
        end
        while any(abs(eig([ini.phistar;eye(nf*(philag-1),nf*philag)]))>1)
            for j=1:nf
                ini.phistar(j,(0:(philag-1))*nf+j)=(p0(j,:)'+chol(inv(Priors.P0inf(:,:,j)))'*randn(philag,1))';
            end
        end
    end
        
end


%psi
ini.psi=zeros(nvars,psilag);
% for j=1:nvars
%  psi(j,:)= q0(j,:)+randn(1,psilag)*chol(inv(Q0inf(:,:,j)));
% end

%sig...
ini.sigeta=eye(nf);
ini.sigetast=eye(nf);
%sigeta=invwishart(sigetanu0,sigetaS0);
% sigeta=eye(nvars)*0.05;
% sigetanu0=(nf+2); %degrees of freedom for inverse wishart prior for sig
% sigetaS0=sigeta*(sigetanu0-(nf+1)/2); %scale matrix of inv. wishart equal to E(W)=sig , mode is sig0/(nu0+(nvars+1)/2)

ini.sigeps=1./gamrnd(Priors.sigeps0(:,1),1./Priors.sigeps0(:,2));

%tau0,beta0,rho0
%tau=1./gamrnd(tau0(:,1),1./tau0(:,2));
ini.tau=Priors.tau0(:,2)./(Priors.tau0(:,1)-1);
%beta=zeros(nvars,nf);
% for j=1:nf;
%  beta(:,j)= betarnd(kron(ones(nvars,1),prod(beta0(j,:))),kron(ones(nvars,1),beta0(j,1)*(1-beta0(j,2))));
% end
ini.rho=[];
ini.beta=[];

if ~prior
    ini.lamspar=randn(N,nf).*kron(sqrt(ini.tau),ones(1,N))';
elseif prior
    ini.rho=Priors.rho0(:,2);%zeros(nf,1);
    ini.lamspar=zeros(N,nf);
    for j=1:nf
        %rho(j)=mean(betarnd(ones(1000,1).*prod(rho0(j,:),2),ones(1000,1).*rho0(j,1).*(1-rho0(j,2))));
        pp=ini.rho(j);
        if prior==2;
            pp=pp*Priors.beta0(j,2);
        end
        podd=log(pp/(1-pp));
        podd=exp(podd)./(exp(podd)+1);

        lan0=(rand(N,1)<=podd);
        while all(~lan0)
            lan0=(rand(N,1)<=podd);
        end
        ini.lamspar(lan0,j)=sqrt(ini.tau(j)).*abs(randn(sum(lan0),1));
    end
    
    %tau,beta,rho
    MCh=100;
    it0h=0;
    ini.tau=Priors.tau0(:,2)./(Priors.tau0(:,1)-1);%;1./gamrnd(tau0(:,1),1./tau0(:,2));
    tau_old=ini.tau;
    %rho=betarnd(prod(rho0,2),rho0(:,1).*(1-rho0(:,2)));
    rho_old=ini.rho;
    rhomc=zeros(nf,MCh-it0h);
    if prior==2;
        beta=zeros(nvars,nf);
        betamc=zeros(nvars,nf,MCh-it0h);
    end

    taupr=Priors.tau0;
    rhopr=[prod(Priors.rho0,2) Priors.rho0(:,1).*(1-Priors.rho0(:,2))];
    taup=zeros(nf,2);
    tau=zeros(nf,1);
    rho=zeros(nf,1);
    


%     for j=1:nf;
%         lan0=ini.lamspar(:,j)~=0;
%         slan0=sum(lan0);
%         rhoN=slan0;
%         simbe=find(~lan0);
%         taup(j,:)=taupr(j,:) + [0.5*sum(lan0) 0.5*sum(ini.lamspar(lan0,j).^2)];
%         tau(j)=1./gamrnd(taup(j,1),1./taup(j,2));
%         for m=1:MCh
%             if prior==2
%               
%             podd=(1-Priors.beta0(j,2))*rho_old(j)/(1-rho_old(j));
%             podd=podd/(1+podd);
%             ben0=(rand(N-slan0,1))<=podd;
%             beta(simbe(ben0),j)= betarnd(kron(ones(sum(ben0),1),prod(Priors.beta0(j,:))),kron(ones(sum(ben0),1),Priors.beta0(j,1)*(1-Priors.beta0(j,2))+1));
%             beta(lan0,j)=betarnd(kron(ones(slan0,1),prod(Priors.beta0(j,:))+1),kron(ones(slan0,1),Priors.beta0(j,1)*(1-Priors.beta0(j,2))));
%             rhoN=sum(ben0)+slan0;
%             end
%             
%             rhop(j,:)= rhopr(j,:) + [ rhoN N-rhoN];
%             rho(j)=betarnd(rhop(j,1),rhop(j,2));
%             if m>it0h
%                 rhomc(j,m-it0h)=rho(j);
%                 if prior==2;
%                 betamc(:,j,m-it0h)=beta(:,j);
%                 end
%             end
%         end
%         %rho(j)=mean(rhomc(j,:));
%         if prior==2;
%         ini.beta(:,j)=mean(betamc(:,j,:),3);
%         end
%     end
%     clear rhomc betamc
end

s_ind=checkpositivity(ini.lamspar);
for j=s_ind
    ini.lamspar(:,j)=-ini.lamspar(:,j);
end

if or(norm,pxda)
    [ve,va]=eig(ini.lamspar'*ini.lamspar);
    ini.H=ve(:,end:-1:1)';
    ini.HI=ve(:,end:-1:1);
    if pxda
        ini.H=diag(sort(diag(va),'descend').^-0.5)*ini.H;
        ini.HI=ini.HI*diag(sort(diag(va),'descend').^-0.5);
    end
    ini.lam=ini.lamspar*ini.HI;
    ini.sigeta=ini.H*ini.sigetast*ini.H'
 else
    ini.lam=ini.lamspar;
    ini.H=eye(nf);
    ini.HI=eye(nf);
end


for j=1:philag;
    %phi(:,(j-1)*nf+1:j*nf)= H*phistar(:,(j-1)*nf+1:j*nf)*HI;
    ini.phi(:,(j-1)*nf+1:j*nf)= ini.H*ini.phistar(:,(j-1)*nf+1:j*nf)*ini.HI;
end



ini.ft=zeros(nobs,nf);
ini.ftstar=zeros(nobs,nf);

